<template>
    <div><div @click="check" class="capital-letter-tile">
      <div class="capital-letter-text">{{letter}}</div>
    </div>
    <div v-if="local.guess === guess && win === false" class="speech">
      <div>Not me! Try again!</div>
    </div>
  </div>
</template>

<script>
import { mapActions, mapState } from 'vuex'

export default {
  props: ['letter', 'answer'],
  data() {
    return {
      local: {
        letter: '',
        win: false,
        guess: null
      }
    }
  },
  methods: {
    check() {
      this.guessed()
      this.local.guess = this.guess
      console.log(this.local.guess)
      console.log(this.guess)
      if (this.letter.toLowerCase() === this.answer) {
        this.local.win = true
        this.correct()
      } else {
        this.wrong()
      }
    },
    ...mapActions(['guessed', 'correct', 'wrong'])
  },
  computed: {
    ...mapState(['win', 'guess'])
  },
  watch: {
    letter() {
      this.local.guess = null
    }
  }
}
</script>

<style>
.speech {
  width: 150px;
  height: 100px;
  font-size: 30px;
  padding: 5px;
  display: flex;
  justify-items: center;
  align-items: center;
  position: absolute;
  margin-top: -350px;
  margin-left: 100px;
  background: #00abbbb2;
  border-radius: 0.4em;
}

.speech:after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 0;
  height: 0;
  border: 15px solid transparent;
  border-top-color: #00abbbb2;
  border-bottom: 0;
  border-left: 0;
  margin-left: -7.5px;
  margin-bottom: -15px;
}

.capital-letter-tile {
  width: 200px;
  height: 200px;
  border-radius: 30px;
  background-color: rgb(106, 168, 215);
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 10px;
}

.capital-letter-tile:hover {
  background-color: rgba(106, 168, 215, 0.728);
  cursor: pointer;
}

.capital-letter-text {
  padding-top: 10px;
  font-size: 150px;
}

@media screen and (max-width: 700px) {
  .capital-letter-tile {
    width: 30vw;
    height: 30vw;
    border-radius: 27px;
    margin: 2vw;
  }

  .capital-letter-text {
    padding-top: 10px;
    font-size: 25vw;
  }
}
</style>